Page MenuHomePhabricator

Refactor Translate insertable classes
Closed, ResolvedPublic

Description

The Insertable classes in the Translate and translatewiki repositories are becoming somewhat repetitive, so it may make sense to refactor them, and move the most common from the translatewiki repo to the Translate extension.

Details

Due Date
Feb 19 2020, 6:30 PM

Event Timeline

Amire80 created this task.Dec 7 2016, 4:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2016, 4:03 PM
Pginer-WMF triaged this task as Medium priority.Jul 1 2019, 11:22 AM
Pginer-WMF assigned this task to abi_.Sep 10 2019, 8:47 AM
abi_ added a comment.Nov 5 2019, 6:03 AM

I've made a list of projects using custom Insertables by running the following command,

❯ grep -H -R "Suggester.php" groups/**/*.yaml

I've pasted the output here - P9529. Check the output under Projects using custom InsertableSuggesters heading.

abi_ set Due Date to Nov 30 2019, 6:30 PM.Nov 14 2019, 4:24 PM
abi_ changed Due Date from Nov 30 2019, 6:30 PM to Dec 30 2019, 6:30 PM.
abi_ changed Due Date from Dec 30 2019, 6:30 PM to Jan 30 2020, 6:30 PM.Jan 6 2020, 5:19 AM
abi_ changed Due Date from Jan 30 2020, 6:30 PM to Feb 19 2020, 6:30 PM.
abi_ updated the task description. (Show Details)

All the custom insertables have now been migrated to use insertable suggesters or use the insertable feature of the new validator framework. Moving this task to review.

This has been deployed on translatewiki.net. Leaving this task open for a few days for observation purposes.

abi_ closed this task as Resolved.Mar 11 2020, 7:42 AM

Resolving this as there has been no related issue noticed.